@use "../theme";

.checkbox-list {
    padding: theme.$spacing02 0 0;
    $self: &;
    list-style: none;

    &__option {
        margin-bottom: theme.$spacing02;
        display: flex;

        &--hidden-initially {
            display: none;
        }

        &[aria-disabled="true"] {
            opacity: 0.5;

            label {
                text-decoration: line-through;
            }
        }

        input[type=checkbox] {
            margin: 3px theme.$spacing03 0 0;
            border-radius: 2px;
            height: 18px;
            min-width: 18px;
            padding: 0;
            position: relative;
        }

        label {
            color: theme.$colorPaletteGray900;
            font-size: theme.$fontSizeMedium;

            small {
                margin-left: theme.$spacing02;
                color: theme.$colorPaletteGray600;
            }
        }
    }
}
